<?php
/**
* Custom Sanitizer Function 
*/

function the_consult_sanitize_radio_yes_no($input){
        $option = array(
                'yes'   =>  esc_html__('Yes','the-consult'),
                'no'    =>  esc_html__('No','the-consult')
            );
        if(array_key_exists($input, $option)){
            return $input;
        }
        else
            return '';
    }
function the_consult_sanitize_category_select($input){
    $the_consult_category_lists = the_consult_category_lists();
    if(array_key_exists($input,$the_consult_category_lists)){
        return $input;
    }else{
        return '';
    }
}
// the-consult number sanitizer
function the_consult_sanitize_number( $input ) {
    $output = intval($input);
     return $output;
}  

//logo alignment
function the_consult_radio_sanitize_alignment_logo($input) {
      $valid_keys = array(
        'left'=>esc_html__('Left', 'the-consult'),
        'center'=>esc_html__('Center', 'the-consult'),
      );
      if ( array_key_exists( $input, $valid_keys ) ) {
         return $input;
      } else {
         return '';
      }
   }
   // logo alignment
function the_consult_radio_sanitize_webpagelayout($input) {
    $valid_keys = array(
        'fullwidth' => esc_html__('Full Width', 'the-consult'),
        'boxed' => esc_html__('Boxed', 'the-consult')
    );
    if ( array_key_exists( $input, $valid_keys ) ) {
        return $input;
    } else {
        return '';
    }
}   
