<?php
/**
 *Service Section
*/
if(get_theme_mod('the_consult_service_action_setups','no') == 'yes') {
    
  $service_title = get_theme_mod('the_consul_service_homepage_title',esc_html__('Why Choose Us','the-consult'));
  $the_consul_service_homepage_desc = get_theme_mod('the_consul_service_homepage_desc');
  
  $first_service_icon = get_theme_mod('first_service_icon');
  $the_consult_service_post_1 = get_theme_mod('the_consult_service_post_1');


  $second_service_icon = get_theme_mod('second_service_icon');
  $the_consult_service_post_2 = get_theme_mod('the_consult_service_post_2');
  
  $third_service_icon = get_theme_mod('third_service_icon');
  $the_consult_service_post_3 = get_theme_mod('the_consult_service_post_3');
  
  $forth_service_icon = get_theme_mod('forth_service_icon');
  $the_consult_service_post_4 = get_theme_mod('the_consult_service_post_4');
  
  $five_service_icon = get_theme_mod('five_service_icon');
  $the_consult_service_post_5 = get_theme_mod('the_consult_service_post_5');
  
  $six_service_icon = get_theme_mod('six_service_icon');
  $the_consult_service_post_6 = get_theme_mod('the_consult_service_post_6');
  
  $seven_service_icon = get_theme_mod('seven_service_icon');
  $the_consult_service_post_7 = get_theme_mod('the_consult_service_post_7');
  
  $eight_service_icon = get_theme_mod('eight_service_icon');
  $the_consult_service_post_8 = get_theme_mod('the_consult_service_post_8');

  $serviceimage = get_theme_mod('the_consult_service_bkgimage','');
  
  ?>
      <section id="service-section" class="the-consult-service" data-stellar-background-ratio="0.5"  style="background-image: url('<?php echo esc_url($serviceimage); ?>');"?>
           <div class="container">
           
                                 <?php if($service_title || $the_consul_service_homepage_desc){ ?>
                                       <div class="title-wrap">
                                       
                                          <?php if($service_title){ ?>
                                            <h2 class="section-title"><?php echo esc_html($service_title);?></h2>
                                          <?php } ?>
                                          
                                          <?php if($the_consul_service_homepage_desc){ ?>
                                            <h3 class="sub-title"><?php echo esc_html($the_consul_service_homepage_desc); ?></h3>
                                          <?php } ?>
                                          
                                      </div>
                                 <?php } ?>
                                 
                                  <div class="the-consult-service-wrapper">
                                  
                                    <?php if($first_service_icon || $the_consult_service_post_1){
                                        $the_consult_service_post_1_query  = new WP_Query(array('post_type'=>'post', 'p' => $the_consult_service_post_1, 'post_status' => 'publish','posts_per_page'=>1));
                                        if ($the_consult_service_post_1_query->have_posts()){
                                            while ($the_consult_service_post_1_query->have_posts()){
                                                $the_consult_service_post_1_query->the_post(); ?>
                                                
                                                    <div class="service-section">
                                                        <div class="col" id="first">
                                                        
                                                            <?php if($first_service_icon){ ?>
                                                                <div class="icon-holder">
                                                                    <i class="fa <?php echo esc_attr($first_service_icon); ?>"></i>
                                                                </div>
                                                            <?php } ?>
                                                            
                                                            <div class="service-content">
                                                            
                                                                <?php if(get_the_title()){ ?>
                                                                    <span class="title">
                                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                                    </span>
                                                                <?php } ?>
                                                                
                                                                <?php if(get_the_content()){ ?>
                                                                    <div class="desc-service">
                                                                        <?php echo esc_html(wp_trim_words(get_the_content(),15,'&hellip;')); ?>
                                                                    </div>
                                                                <?php } ?>
                                                                
                                                            </div>
                                                        
                                                        </div>
                                                    </div>
                                                    
                                            <?php } ?>
                                        <?php wp_reset_postdata();} ?>
                                    <?php } ?>
                                    
                                    <?php if($second_service_icon || $the_consult_service_post_2){
                                        $the_consult_service_post_2_query  = new WP_Query(array('post_type'=>'post', 'p' => $the_consult_service_post_2, 'post_status' => 'publish','posts_per_page'=>1));
                                        if ($the_consult_service_post_2_query->have_posts()){
                                            while ($the_consult_service_post_2_query->have_posts()){
                                                $the_consult_service_post_2_query->the_post(); ?>
                                                
                                                    <div class="service-section">
                                                        <div class="col" id="two">
                                                        
                                                            <?php if($second_service_icon){ ?>
                                                                <div class="icon-holder">
                                                                    <i class="fa <?php echo esc_attr($second_service_icon); ?>"></i>
                                                                </div>
                                                            <?php } ?>
                                                            
                                                            <div class="service-content">
                                                            
                                                                <?php if(get_the_title()){ ?>
                                                                    <span class="title">
                                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                                    </span>
                                                                <?php } ?>
                                                                
                                                                <?php if(get_the_content()){ ?>
                                                                    <div class="desc-service">
                                                                        <?php echo esc_html(wp_trim_words(get_the_content(),15,'&hellip;')); ?>
                                                                    </div>
                                                                <?php } ?>
                                                                
                                                            </div>
                                                        
                                                        </div>
                                                    </div>
                                                    
                                            <?php } ?>
                                        <?php wp_reset_postdata();} ?>
                                    <?php } ?>
                                    
                                    <?php if($third_service_icon || $the_consult_service_post_3){
                                        $the_consult_service_post_3_query  = new WP_Query(array('post_type'=>'post', 'p' => $the_consult_service_post_3, 'post_status' => 'publish','posts_per_page'=>1));
                                        if ($the_consult_service_post_3_query->have_posts()){
                                            while ($the_consult_service_post_3_query->have_posts()){
                                                $the_consult_service_post_3_query->the_post(); ?>
                                                
                                                    <div class="service-section">
                                                        <div class="col" id="three">
                                                        
                                                            <?php if($third_service_icon){ ?>
                                                                <div class="icon-holder">
                                                                    <i class="fa <?php echo esc_attr($third_service_icon); ?>"></i>
                                                                </div>
                                                            <?php } ?>
                                                            
                                                            <div class="service-content">
                                                            
                                                                <?php if(get_the_title()){ ?>
                                                                    <span class="title">
                                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                                    </span>
                                                                <?php } ?>
                                                                
                                                                <?php if(get_the_content()){ ?>
                                                                    <div class="desc-service">
                                                                        <?php echo esc_html(wp_trim_words(get_the_content(),15,'&hellip;')); ?>
                                                                    </div>
                                                                <?php } ?>
                                                                
                                                            </div>
                                                        
                                                        </div>
                                                    </div>
                                                    
                                            <?php } ?>
                                        <?php wp_reset_postdata();} ?>
                                    <?php } ?>
                                    
                                    <?php if($forth_service_icon || $the_consult_service_post_4){
                                        $the_consult_service_post_4_query  = new WP_Query(array('post_type'=>'post', 'p' => $the_consult_service_post_4, 'post_status' => 'publish','posts_per_page'=>1));
                                        if ($the_consult_service_post_4_query->have_posts()){
                                            while ($the_consult_service_post_4_query->have_posts()){
                                                $the_consult_service_post_4_query->the_post(); ?>
                                                
                                                    <div class="service-section">
                                                        <div class="col" id="four">
                                                        
                                                            <?php if($forth_service_icon){ ?>
                                                                <div class="icon-holder">
                                                                    <i class="fa <?php echo esc_attr($forth_service_icon); ?>"></i>
                                                                </div>
                                                            <?php } ?>
                                                            
                                                            <div class="service-content">
                                                            
                                                                <?php if(get_the_title()){ ?>
                                                                    <span class="title">
                                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                                    </span>
                                                                <?php } ?>
                                                                
                                                                <?php if(get_the_content()){ ?>
                                                                    <div class="desc-service">
                                                                        <?php echo esc_html(wp_trim_words(get_the_content(),15,'&hellip;')); ?>
                                                                    </div>
                                                                <?php } ?>
                                                                
                                                            </div>
                                                        
                                                        </div>
                                                    </div>
                                                    
                                            <?php } ?>
                                        <?php wp_reset_postdata();} ?>
                                    <?php } ?>
                                    
                                    <?php if($five_service_icon || $the_consult_service_post_5){
                                        $the_consult_service_post_5_query  = new WP_Query(array('post_type'=>'post', 'p' => $the_consult_service_post_5, 'post_status' => 'publish','posts_per_page'=>1));
                                        if ($the_consult_service_post_5_query->have_posts()){
                                            while ($the_consult_service_post_5_query->have_posts()){
                                                $the_consult_service_post_5_query->the_post(); ?>
                                                
                                                    <div class="service-section">
                                                        <div class="col" id="five">
                                                        
                                                            <?php if($five_service_icon){ ?>
                                                                <div class="icon-holder">
                                                                    <i class="fa <?php echo esc_attr($five_service_icon); ?>"></i>
                                                                </div>
                                                            <?php } ?>
                                                            
                                                            <div class="service-content">
                                                            
                                                                <?php if(get_the_title()){ ?>
                                                                    <span class="title">
                                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                                    </span>
                                                                <?php } ?>
                                                                
                                                                <?php if(get_the_content()){ ?>
                                                                    <div class="desc-service">
                                                                        <?php echo esc_html(wp_trim_words(get_the_content(),15,'&hellip;')); ?>
                                                                    </div>
                                                                <?php } ?>
                                                                
                                                            </div>
                                                        
                                                        </div>
                                                    </div>
                                                    
                                            <?php } ?>
                                        <?php wp_reset_postdata();} ?>
                                    <?php } ?>
                                    
                                    <?php if($six_service_icon || $the_consult_service_post_6){
                                        $the_consult_service_post_6_query  = new WP_Query(array('post_type'=>'post', 'p' => $the_consult_service_post_6, 'post_status' => 'publish','posts_per_page'=>1));
                                        if ($the_consult_service_post_6_query->have_posts()){
                                            while ($the_consult_service_post_6_query->have_posts()){
                                                $the_consult_service_post_6_query->the_post(); ?>
                                                
                                                    <div class="service-section">
                                                        <div class="col" id="six">
                                                        
                                                            <?php if($six_service_icon){ ?>
                                                                <div class="icon-holder">
                                                                    <i class="fa <?php echo esc_attr($six_service_icon); ?>"></i>
                                                                </div>
                                                            <?php } ?>
                                                            
                                                            <div class="service-content">
                                                            
                                                                <?php if(get_the_title()){ ?>
                                                                    <span class="title">
                                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                                    </span>
                                                                <?php } ?>
                                                                
                                                                <?php if(get_the_content()){ ?>
                                                                    <div class="desc-service">
                                                                        <?php echo esc_html(wp_trim_words(get_the_content(),15,'&hellip;')); ?>
                                                                    </div>
                                                                <?php } ?>
                                                                
                                                            </div>
                                                        
                                                        </div>
                                                    </div>
                                                    
                                            <?php } ?>
                                        <?php wp_reset_postdata();} ?>
                                    <?php } ?>
                                    
                                    <?php if($seven_service_icon || $the_consult_service_post_7){
                                        $the_consult_service_post_7_query  = new WP_Query(array('post_type'=>'post', 'p' => $the_consult_service_post_7, 'post_status' => 'publish','posts_per_page'=>1));
                                        if ($the_consult_service_post_7_query->have_posts()){
                                            while ($the_consult_service_post_7_query->have_posts()){
                                                $the_consult_service_post_7_query->the_post(); ?>
                                                
                                                    <div class="service-section">
                                                        <div class="col" id="seven">
                                                        
                                                            <?php if($seven_service_icon){ ?>
                                                                <div class="icon-holder">
                                                                    <i class="fa <?php echo esc_attr($seven_service_icon); ?>"></i>
                                                                </div>
                                                            <?php } ?>
                                                            
                                                            <div class="service-content">
                                                            
                                                                <?php if(get_the_title()){ ?>
                                                                    <span class="title">
                                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                                    </span>
                                                                <?php } ?>
                                                                
                                                                <?php if(get_the_content()){ ?>
                                                                    <div class="desc-service">
                                                                        <?php echo esc_html(wp_trim_words(get_the_content(),15,'&hellip;')); ?>
                                                                    </div>
                                                                <?php } ?>
                                                                
                                                            </div>
                                                        
                                                        </div>
                                                    </div>
                                                    
                                            <?php } ?>
                                        <?php wp_reset_postdata();} ?>
                                    <?php } ?>
                                    
                                    <?php if($eight_service_icon || $the_consult_service_post_8){
                                        $the_consult_service_post_8_query  = new WP_Query(array('post_type'=>'post', 'p' => $the_consult_service_post_8, 'post_status' => 'publish','posts_per_page'=>1));
                                        if ($the_consult_service_post_8_query->have_posts()){
                                            while ($the_consult_service_post_8_query->have_posts()){
                                                $the_consult_service_post_8_query->the_post(); ?>
                                                
                                                    <div class="service-section">
                                                        <div class="col" id="eight">
                                                        
                                                            <?php if($eight_service_icon){ ?>
                                                                <div class="icon-holder">
                                                                    <i class="fa <?php echo esc_attr($eight_service_icon); ?>"></i>
                                                                </div>
                                                            <?php } ?>
                                                            
                                                            <div class="service-content">
                                                            
                                                                <?php if(get_the_title()){ ?>
                                                                    <span class="title">
                                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                                    </span>
                                                                <?php } ?>
                                                                
                                                                <?php if(get_the_content()){ ?>
                                                                    <div class="desc-service">
                                                                        <?php echo esc_html(wp_trim_words(get_the_content(),20,'&hellip;')); ?>
                                                                    </div>
                                                                <?php } ?>
                                                                
                                                            </div>
                                                        
                                                        </div>
                                                    </div>
                                                    
                                            <?php } ?>
                                        <?php wp_reset_postdata();} ?>
                                    <?php } ?>

                 </div>

            </div>
      </section>
<?php } ?>
