<?php
/**
 * Testimonial Section
 * @package the-consult
 */
?>
<?php
    if(get_theme_mod('the_consult_testimonial_option','no') == 'yes'):
        $testimonial_cat = esc_attr(get_theme_mod('the_consult_testimonial_section_category',''));
        $testimonial_title = get_theme_mod('testimonial_homepage_title',esc_html__('Whats Our Client Say','the-consult'));
        $testimonial_image = get_theme_mod('the_consult_testimonial_bkgimage','');
         if($testimonial_cat):
            $i=0;
            $args_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' =>6, 'category_name' => $testimonial_cat));  
            if ($args_query->have_posts()) :?>    
                 <section id="testimonial-section" class="the-consult-testimonial-section" data-stellar-background-ratio="0.5" style="background-image: url('<?php echo esc_url($testimonial_image); ?>');">
                    <div class="container">
                        <div class="title-wrap">
                            <h2 class="section-title"><?php echo esc_html($testimonial_title);?></h2>
                        </div>    
                           <div class="testimonial">
                                    <?php
                                       while ($args_query->have_posts()):
                                        $args_query->the_post();
                                        $testimonial_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'the-consult-testimonial-thumb');
                                         $i++;
                                                ?>
                                            <div class="testimonial-single <?php if($i%4==0){echo " nomargin";} ?> ">
                                                    <div class="cat-caption">
                                                        <?php if(has_post_thumbnail()): ?>
                                                        <div class="testimonial-image">
                                                           <img src="<?php echo esc_url($testimonial_slider_image[0]); ?>" title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>" />
                                                        </div>
                                                        <?php endif; ?>
                                                        <div class="testimonial-context"> 
                                                            <h2 class="testimonial-caption-title">
                                                                <?php the_title(); ?>
                                                            </h2>
                                                            <div class="testimonial-desc">
                                                                <?php echo esc_html(wp_trim_words(get_the_content(),150,'&hellip;')); ?>
                                                             </div>
                                                        </div>   
                                                    </div>
                                             </div> 
                                          <?php
                                         endwhile;
                                      wp_reset_postdata();
                                     ?>
                                </div>
                         </div>    
                 </section>
                 <?php 
             endif;
        endif;
    endif
        ?>